---
title: "flux completion command"
---
## flux completion

Generates completion scripts for various shells

### Synopsis

The completion sub-command generates completion scripts for various shells

### Options

```
  -h, --help   help for completion
```

### Options inherited from parent commands

```
      --context string      kubernetes context to use
      --kubeconfig string   absolute path to the kubeconfig file
  -n, --namespace string    the namespace scope for this operation (default "flux-system")
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [flux](../flux/)	 - Command line utility for assembling Kubernetes CD pipelines
* [flux completion bash](../flux_completion_bash/)	 - Generates bash completion scripts
* [flux completion fish](../flux_completion_fish/)	 - Generates fish completion scripts
* [flux completion powershell](../flux_completion_powershell/)	 - Generates powershell completion scripts
* [flux completion zsh](../flux_completion_zsh/)	 - Generates zsh completion scripts

